@charset "UTF-8";

* {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  user-select: none;
	-moz-user-select: none;
  font-size: 12px;
  font-family: monospace;
  line-height: 1rem;
  color: gray;
}

body {
  position: fixed;
  height: 100%;
  width: 100%;
  image-rendering: pixelated;
  background-repeat: repeat;
  /* padding: 1rem; */
}

div#left {
  background-color: silver;
  padding: 1ch;
  width: fit-content;
}

h1 {
}

div#layers {
  margin-top: 0.5rem;
}

.layer {
  width: fit-content;
  background-color: silver;
  padding: 0.25rem;
  margin-top: 0.5rem;
  border: 1px solid gray;
}

.layer label {
  margin-right: 1ch;
}

.layer input {
  height: 1rem;
  display: inline-block;
}

.layer input[type=number] {
  padding-left: 0.5ch;
  border: 1px inset gainsboro;
}

input.length {
  margin-right: 1ch;
  width: 5ch;
}

input.offset {
  margin-right: 1ch;
  width: 5ch;
}

input.id {
  margin-right: 1ch;
  width: 7ch;
}

input.color {
  width: 1rem;
  height: 1rem;
  opacity: 0;
  cursor: pointer;
}

div.colorWrapper {
  background-color: #000000;
  display: inline-block;
  height: 1rem;
  margin-right: 1ch;
}

input.remove {
  background-color: silver;
  color: gray;
  width: 1rem;
  height: 1rem;
  cursor: pointer;
}

div#toolbar {
  margin-top: 0.5rem;
}

div#toolbar input[type=button] {
  background-color: silver;
  padding: 0.5ch;
  cursor: pointer;
  border: 1px solid gray;
}

div#toolbar input[type=range] {
  width: 100%;
  background-color: silver;
  margin-bottom: 0.5rem;
  cursor: pointer;
  display: block;
}
